import { Module } from '@nestjs/common';
import { JwtModule } from '@nestjs/jwt';
import { JuniorModule } from '~/junior/junior.module';
import { UserModule } from '~/user/user.module';
import { AuthController } from './controllers';
import { AuthService } from './services';
import { AccessTokenStrategy } from './strategies';

@Module({
  imports: [JwtModule.register({}), JuniorModule, UserModule],
  providers: [AuthService, AccessTokenStrategy],
  controllers: [AuthController],
  exports: [],
})
export class AuthModule {}
