import { ApiProperty } from '@nestjs/swagger';
import { Roles } from '~/auth/enums';
import { User } from '~/user/entities';

export class UserResponseDto {
  @ApiProperty()
  id!: string;

  @ApiProperty()
  email!: string;

  @ApiProperty()
  phoneNumber!: string;

  @ApiProperty()
  countryCode!: string;

  @ApiProperty()
  isPasswordSet!: boolean;

  @ApiProperty()
  isProfileCompleted!: boolean;

  @ApiProperty()
  roles!: Roles[];

  constructor(user: User) {
    this.id = user.id;
    this.email = user.email;
    this.phoneNumber = user.phoneNumber;
    this.countryCode = user.countryCode;
    this.isPasswordSet = user.isPasswordSet;
    this.isProfileCompleted = user.isProfileCompleted;
    this.roles = user.roles;
  }
}
