import { ApiProperty } from '@nestjs/swagger';
import { ILoginResponse } from '~/auth/interfaces';
import { User } from '~/user/entities';

export class VerifyUserResponseDto {
  @ApiProperty()
  accessToken!: string;

  @ApiProperty()
  refreshToken!: string;

  @ApiProperty()
  expiresAt!: Date;

  @ApiProperty()
  user!: User;

  constructor(data: ILoginResponse, user: User) {
    this.accessToken = data.accessToken;
    this.refreshToken = data.refreshToken;
    this.expiresAt = data.expiresAt;
    this.user = user;
  }
}
