import { ApiProperty } from '@nestjs/swagger';
import { CustomerNotificationSettings } from '~/customer/entities/customer-notification-settings.entity';

export class NotificationSettingsResponseDto {
  @ApiProperty()
  isEmailEnabled!: boolean;

  @ApiProperty()
  isPushEnabled!: boolean;

  @ApiProperty()
  isSmsEnabled!: boolean;

  constructor(notificationSettings: CustomerNotificationSettings) {
    this.isEmailEnabled = notificationSettings.isEmailEnabled;
    this.isPushEnabled = notificationSettings.isPushEnabled;
    this.isSmsEnabled = notificationSettings.isSmsEnabled;
  }
}
