import {
  BaseEntity,
  Column,
  CreateDateColumn,
  Entity,
  JoinColumn,
  OneToOne,
  PrimaryGeneratedColumn,
  UpdateDateColumn,
} from 'typeorm';
import { Customer } from '~/customer/entities';

@Entity('cutsomer_notification_settings')
export class CustomerNotificationSettings extends BaseEntity {
  @PrimaryGeneratedColumn('uuid')
  id!: string;

  @Column({ name: 'is_email_enabled', default: false })
  isEmailEnabled!: boolean;

  @Column({ name: 'is_push_enabled', default: false })
  isPushEnabled!: boolean;

  @Column({ name: 'is_sms_enabled', default: false })
  isSmsEnabled!: boolean;

  @OneToOne(() => Customer, (customer) => customer.notificationSettings, { onDelete: 'CASCADE' })
  @JoinColumn({ name: 'customer_id' })
  customer!: Customer;

  @CreateDateColumn({ name: 'created_at', type: 'timestamp with time zone' })
  createdAt!: Date;

  @UpdateDateColumn({ name: 'updated_at', type: 'timestamp with time zone' })
  updatedAt!: Date;
}
