import { MigrationInterface, QueryRunner } from 'typeorm';
import { v4 as uuid } from 'uuid';
import { Document } from '~/document/entities';
import { DocumentType } from '~/document/enums';
const DEFAULT_TASK_LOGOS = [
  {
    id: uuid(),
    name: 'bed-furniture',
    extension: '.jpg',
    documentType: DocumentType.DEFAULT_TASKS_LOGO,
  },
  {
    id: uuid(),
    name: 'dog',
    extension: '.jpg',
    documentType: DocumentType.DEFAULT_TASKS_LOGO,
  },
  {
    id: uuid(),
    name: 'dish-washing',
    extension: '.jpg',
    documentType: DocumentType.DEFAULT_TASKS_LOGO,
  },
  {
    id: uuid(),
    name: 'walking-the-dog',
    extension: '.jpg',
    documentType: DocumentType.DEFAULT_TASKS_LOGO,
  },
];
export class SeedsDefaultTasksLogo1733990253208 implements MigrationInterface {
  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.manager.getRepository(Document).save(DEFAULT_TASK_LOGOS);
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await DEFAULT_TASK_LOGOS.forEach(async (logo) => {
      await queryRunner.manager.getRepository(Document).delete({ name: logo.name, documentType: logo.documentType });
    });
  }
}
