import { HttpModule } from '@nestjs/axios';
import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { CustomerModule } from '~/customer/customer.module';
import { UserModule } from '~/user/user.module';
import { JuniorController } from './controllers';
import { Junior, JuniorRegistrationToken, Theme } from './entities';
import { JuniorRepository, JuniorTokenRepository } from './repositories';
import { BranchIoService, JuniorService, JuniorTokenService, QrcodeService } from './services';

@Module({
  controllers: [JuniorController],
  providers: [
    JuniorService,
    JuniorRepository,
    JuniorTokenService,
    JuniorTokenRepository,
    QrcodeService,
    BranchIoService,
  ],
  imports: [TypeOrmModule.forFeature([Junior, Theme, JuniorRegistrationToken]), UserModule, CustomerModule, HttpModule],
  exports: [JuniorService, JuniorTokenService],
})
export class JuniorModule {}
