import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import * as crypto from 'crypto';
import moment from 'moment';
import { Repository } from 'typeorm';
import { JuniorRegistrationToken } from '../entities';
const TOKEN_LENGTH = 16;
@Injectable()
export class JuniorTokenRepository {
  constructor(
    @InjectRepository(JuniorRegistrationToken)
    private readonly juniorTokenRepository: Repository<JuniorRegistrationToken>,
  ) {}
  generateToken(juniorId: string) {
    return this.juniorTokenRepository.save(
      this.juniorTokenRepository.create({
        juniorId,
        expiryDate: moment().add('15', 'minutes').toDate(),
        token: `${moment().unix()}-${crypto.randomBytes(TOKEN_LENGTH).toString('hex')}`,
      }),
    );
  }

  findByToken(token: string) {
    return this.juniorTokenRepository.findOne({ where: { token, isUsed: false } });
  }

  invalidateToken(token: string) {
    return this.juniorTokenRepository.update({ token }, { isUsed: true });
  }
}
