import { Injectable, Logger } from '@nestjs/common';
import * as qrcode from 'qrcode';
import { BranchIoService } from './branch-io.service';

@Injectable()
export class QrcodeService {
  constructor(private readonly branchIoService: BranchIoService) {}
  private readonly logger = new Logger(QrcodeService.name);
  async generateQrCode(token: string): Promise<string> {
    this.logger.log(`Generating QR code for token ${token}`);

    const link = await this.branchIoService.createBranchLink(token);

    return qrcode.toDataURL(link);
  }
}
