import { forwardRef, Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { CustomerModule } from '~/customer/customer.module';
import { Device, User } from './entities';
import { DeviceRepository, UserRepository } from './repositories';
import { DeviceService, UserService } from './services';

@Module({
  imports: [TypeOrmModule.forFeature([User, Device]), forwardRef(() => CustomerModule)],
  providers: [UserService, DeviceService, UserRepository, DeviceRepository],
  exports: [UserService, DeviceService],
})
export class UserModule {}
